%define major     1
%define libname   %mklibname natpmp %{major}
%define develname %mklibname natpmp -d

Summary:        Direct concurrent to the UPnP IGD specification
Name:           libnatpmp
Version:        20230423
Release:        %mkrel 3
License:        LGPLv2+
Group:          System/Libraries
URL:            http://miniupnp.free.fr/
Source:         http://miniupnp.free.fr/files/%{name}-%{version}.tar.gz

%description
libnatpmp is an attempt to make a portable and fully compliant
implementation of the protocol for the client side. It is based on non
blocking sockets and all calls of the API are asynchronous. It is
therefore very easy to integrate the NAT-PMP code to any event driven code.

%package -n %{libname}
Summary:        Direct concurrent to the UPnP IGD specification
Group:          System/Libraries

%description -n %{libname}
libnatpmp is an attempt to make a portable and fully compliant
implementation of the protocol for the client side. It is based on non
blocking sockets and all calls of the API are asynchronous. It is
therefore very easy to integrate the NAT-PMP code to any event driven code.

%package -n %{develname}
Summary:        Header files, libraries and development documentation for libnatpmp
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname} 
This package contains the header files and development documentation for
libnatpmp. If you like to develop programs using miniupnpc, you will need
to install libnatpmp-devel.

%prep
%setup -q

%build
%make_build \
	LDFLAGS="%ldflags" \
	CFLAGS="-fPIC -Wall -DENABLE_STRNATPMPERR %{optflags}" \
	EXTRA_LD="%{?__global_ldflags}"

%install
%make_install \
	INSTALLPREFIX=%{buildroot}%{_prefix} \
	INSTALLDIRLIB=%{buildroot}%{_libdir} \
	INSTALLDIRINC=%{buildroot}%{_includedir} \
	INSTALLDIRBIN=%{buildroot}%{_bindir}

rm -f %{buildroot}%{_libdir}/*.a

# Make install seems to forget this
install -pm 0644 natpmp_declspec.h %{buildroot}%{_includedir}/

%files
%{_bindir}/*

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.%{major}

%files -n %{develname}
%doc Changelog.txt README
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 20230423-3.mga10
+ Revision: 2232837
- Mageia 10 Mass Rebuild

* Wed Dec 25 2024 daviddavid <daviddavid> 20230423-2.mga10
+ Revision: 2129976
- install manually missing natpmp_declspec.h header

* Sun Dec 01 2024 daviddavid <daviddavid> 20230423-1.mga10
+ Revision: 2120394
- new version: 20230423

* Tue Mar 15 2022 umeabot <umeabot> 20150609-5.mga9
+ Revision: 1792820
- Mageia 9 Mass Rebuild

* Mon May 25 2020 ovitters <ovitters> 20150609-4.mga8
+ Revision: 1587593
- enable strnatpmperr function

* Thu Feb 13 2020 umeabot <umeabot> 20150609-3.mga8
+ Revision: 1514249
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 20150609-2.mga7
+ Revision: 1299026
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 20150609-1.mga7
+ Revision: 1216235
- Update to release 20150609

* Fri Feb 05 2016 umeabot <umeabot> 20140401-4.mga6
+ Revision: 936564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20140401-3.mga5
+ Revision: 743926
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140401-2.mga5
+ Revision: 681630
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 20140401-1.mga5
+ Revision: 660777
- 20140401

* Fri Oct 18 2013 umeabot <umeabot> 20120821-3.mga4
+ Revision: 507188
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20120821-2.mga3
+ Revision: 357820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 20120821-1.mga3
+ Revision: 289199
- new version 20120821

* Fri Sep 02 2011 fwang <fwang> 20110808-1.mga2
+ Revision: 137976
- new version 20110808
- build with fpic
- imported package libnatpmp

